import QtQuick 1.1
//import qb.base 1.0
import qb.components 1.0

Tile {
	id: myClockTile
//	tileSize: tilesize_2X1

	/// Will be called when widget instantiated
	function init() {}

	onClicked: {
		stage.openFullscreen(app.fullScreenUrl);
	}

/*	Text {
		id: txtTimeBig
		text: app.timeStr
		color: colors.clockTileColor
		//anchors.centerIn: parent
		anchors {
			horizontalCenter: parent.horizontalCenter
			horizontalCenterOffset: dimState ? 0 : 0
			verticalCenter: parent.verticalCenter
		}
		horizontalAlignment: Text.AlignHCenter
		font.pixelSize: dimState ? 60 : 50
		font.family: qfont.regular.name
	}
*/

	Text {
		id: txtTime
		text: app.timeStr
		color: colors.clockTileColor
		anchors {
			right: txtSeconds.left
			verticalCenter: parent.verticalCenter
		}
		horizontalAlignment: Text.AlignHCenter
		font.pixelSize: dimState ? 65 : 50
		font.family: qfont.regular.name
	}

	Text {
		id: txtSeconds
		text: app.secondsStr
		color: colors.clockTileColor
		anchors {
			bottom: txtTime.bottom
			right: parent.right
			rightMargin: dimState ? 0 : 15
		}
		font.pixelSize: dimState ? 45 : 50
		font.family: qfont.regular.name
	}

/*	Text {
		id: txtTime
		text: app.timeStr
		color: colors.clockTileColor
		anchors {
			// horizontalCenter: parent.horizontalCenter
			// horizontalCenterOffset: dimState ? 0 : 0
			left: parent.left
			leftMargin: dimState ? 0 : 15
			verticalCenter: parent.verticalCenter
		}
		horizontalAlignment: Text.AlignHCenter
		font.pixelSize: dimState ? 65 : 50
		font.family: qfont.regular.name
	}

	Text {
		id: txtSeconds
		text: app.secondsStr
		color: colors.clockTileColor
		anchors {
			bottom: txtTime.bottom
			left: txtTime.right
		}
		font.pixelSize: dimState ? 45 : 50
		font.family: qfont.regular.name
	}
*/
	Text {
		id: txtDate
		text: app.dateStr
		color: colors.clockTileColor
		anchors {
			horizontalCenter: parent.horizontalCenter
			baseline: parent.bottom
			baselineOffset: -16
		}
		horizontalAlignment: Text.AlignHCenter
		font.pixelSize: 16
		font.family: qfont.regular.name
		visible: !dimState
	}

	Text {
		id:txtDay
		text: app.dayStr
		color: colors.clockTileColor
		anchors {
		horizontalCenter: parent.horizontalCenter
			baseline: parent.bottom
			baselineOffset: -16
		}
		horizontalAlignment: Text.AlignHCenter
		font.pixelSize: 30
		font.family: qfont.regular.name
		visible: dimState
	}
}
